stages:
    - build
    - test

workflow:
  rules:
    - if: $FORCE_PIPELINE == 'true'
    - if: $CI_PIPELINE_SOURCE == 'web'
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    # Run only for development, main, or release branches
    - if: $CI_COMMIT_BRANCH == 'development'
    - if: $CI_COMMIT_BRANCH == 'main'
    - if: $CI_COMMIT_BRANCH =~ '/^release_/'
    - if: $CI_COMMIT_REF_NAME == 'Flight'
    - if: $CI_COMMIT_REF_NAME == 'Train'

flightJob:
    stage: test
    rules:
        - if: $CI_COMMIT_BRANCH == 'Flight'
    script: 
        - cd Flight
        - xcodebuild clean -project Flight.xcodeproj -scheme Flight
        - xcodebuild test -project Flight.xcodeproj -scheme Flight -destination 'platform=iOS Simulator,name=iPhone 12,OS=14.5'
    tags:
     - TagSecond

trainJob:
    stage: test
    rules:
        - if: $CI_COMMIT_BRANCH == 'Train'
    script: 
        - cd Train
        - xcodebuild clean -project Train.xcodeproj -scheme Train
        - xcodebuild test -project Train.xcodeproj -scheme Train -destination 'platform=iOS Simulator,name=iPhone 12,OS=14.5'
    tags:
     - TagSecond

MainJob:
    stage: test
    rules:
        - if: $CI_COMMIT_BRANCH == 'main' || $CI_COMMIT_BRANCH == 'development'
    script: 
        - xcodebuild clean -project SecondMyLabProject.xcodeproj -scheme SecondMyLabProject
        - xcodebuild test -project SecondMyLabProject.xcodeproj -scheme SecondMyLabProject -destination 'platform=iOS Simulator,name=iPhone 12,OS=14.5'
    tags:
     - TagSecond